REM SET CERTFILE=%1
REM SET CHAINFILE=%2
set CERTFILE=c:\data\certs\sgw_certificate.pem
set CHAINFILE=c:\data\certs\sgw_chain_1.pem

SET OCSP_RESPONSE=C:\data\certs\good_ocsp_resp.der
SET ENVOY_CONFIG=C:\config\envoy-config-win.yaml
SET filesPresent=0
SET ocsp_responder_url=""
SET PATH="C:\OpenSSL\Program Files\OpenSSL\bin";C:\envoy;%PATH%

if exist %CERTFILE% ( if exist %CHAINFILE% ( SET filesPresent=1 ) )

IF %filesPresent% == 1 (
  openssl x509 -noout -ocsp_uri -in %CERTFILE% > ocsp_endpoint.txt
  SET /p ocsp_responder_url=< ocsp_endpoint.txt
) ELSE (
  echo "Syntax: ocsp_response.bat certificate_pem_file chain_pem_file"
)

IF %ocsp_responder_url% == "" (
  SET ENVOY_CONFIG=C:\config\envoy-config-win.yaml
  echo "No OCSP Responder Found, starting the server in Self Signed Mode.."
) ELSE (
  SET ENVOY_CONFIG=C:\config\envoy-config-ocsp-win.yaml
  openssl ocsp -issuer %CHAINFILE% -cert %CERTFILE% -verify_other %CHAINFILE% -CAfile %CHAINFILE% -no_nonce -url %ocsp_responder_url% -respout %OCSP_RESPONSE%
)

echo =================================================
echo filesPresent = %filesPresent%
echo ocsp_responder_url = %ocsp_responder_url%
echo ENVOY_CONFIG = %ENVOY_CONFIG%
echo =================================================
