REM SET CERTFILE=%1
REM SET CHAINFILE=%2
set CERTFILE=c:\data\certs\sgw_certificate.pem
set CHAINFILE=c:\data\certs\sgw_chain.pem

SET OCSP_RESPONSE=C:\data\certs\good_ocsp_resp.der
SET ENVOY_CONFIG=C:\config\envoy-config-win.yaml
SET filesPresent=0
SET ocsp_responder_url=""

if exist %CERTFILE% ( if exist %CHAINFILE% ( SET filesPresent=1 ) )

IF %filesPresent% == 1 (
  "C:\OpenSSL\Program Files\OpenSSL\bin\openssl.exe" x509 -noout -ocsp_uri -in %CERTFILE% > ocsp_endpoint.txt
  SET /p ocsp_responder_url=< ocsp_endpoint.txt
) ELSE (
  echo "Syntax: ocsp_response.bat certificate_pem_file chain_pem_file"
)

IF %ocsp_responder_url% == "" (
  SET ENVOY_CONFIG=C:\config\envoy-config-win.yaml
  echo "No OCSP Responder Found, starting the server in Self Signed Mode.."
) ELSE (
  SET ENVOY_CONFIG=C:\config\envoy-config-ocsp-win.yaml
  "C:\OpenSSL\Program Files\OpenSSL\bin\openssl.exe" ocsp -issuer %CHAINFILE% -cert %CERTFILE% -verify_other %CHAINFILE% -CAfile %CHAINFILE% -no_nonce -url %ocsp_responder_url% -respout %OCSP_RESPONSE%
)

echo =================================================
echo filesPresent = %filesPresent%
echo ocsp_responder_url = %ocsp_responder_url%
echo ENVOY_CONFIG = %ENVOY_CONFIG%
echo "Running Command C:\envoy\envoy.exe --log-path C:\data\logs\envoy-system.log --config-path %ENVOY_CONFIG%"
echo =================================================


setx API_ID %API_ID% /M
setx SENSOR_GATEWAY_ENTRY_POINT %SENSOR_GATEWAY_ENTRY_POINT% /M
setx SENSOR_GATEWAY_HOST_IP %SENSOR_GATEWAY_HOST_IP% /M
setx API_KEY %API_KEY% /M
setx CBC_URL %CBC_URL% /M

sc create Envoy binpath= "C:\envoy\envoy.exe --config-path %ENVOY_CONFIG% --log-path C:\data\logs\envoy-system.log"
#sc create JavaService binpath= "cmd /c C:\\java-11-openjdk-11.0.15.9-1.windows.ojdkbuild.x86_64\\bin\\java.exe -DAPI_ID=%API_ID% -DAPI_KEY=%API_KEY% -DSENSOR_GATEWAY_HOST_IP=%SENSOR_GATEWAY_HOST_IP% -DCBC_URL=%CBC_URL% -DSENSOR_GATEWAY_ENTRY_POINT=%SENSOR_GATEWAY_ENTRY_POINT% %JAVA_OPTS% -jar C:\\sensor-gateway\\lib\\sensor-gateway-mgmt-node-1.0.0.jar"
sc start Envoy
schtasks /create /tn JavaSch /tr "cmd /c C:\config\java_port_service.bat" /sc minute /mo 5 /ru system
schtasks /create /tn EnvoySch /tr "cmd /c C:\sensor-gateway\lib\ocsp_job.bat" /sc daily /st 08:00 /ru system
"C:\\java-11-openjdk-11.0.15.9-1.windows.ojdkbuild.x86_64\\bin\\java.exe" -Dlog4j2.formatMsgNoLookups=true -Xms128m -Xmx256m -XX:+UseG1GC -XX:+UseStringDeduplication -Djava.io.tmpdir=C:\\data\\logs -jar C:\\sensor-gateway\\lib\\sensor-gateway-mgmt-node-1.0.0.jar
#sc start JavaService
